# Teams

With the teams endpoint you can find all team details you need. You can think if information about when the team is founded, logo, team name, short name etc.

But especially by using the right includes you can have the right team details you need, like the team coach, team venues, results, upcoming games, team stats and many more valuable team details.

{% hint style="info" %}
The squad include only returns the squad for the team of the active season in the domestic main league the team is playing in. For international teams it will return the teams as is.
{% endhint %}

{% content-ref url="/pages/-MYFpEQUQo3G5xK0vvah" %}
[GET All Teams](/v2/cricket-api/our-api/teams-and-players/get-all-teams.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MYFpGL3Kwvj0VqJkHjf" %}
[GET Team by ID](/v2/cricket-api/our-api/teams-and-players/get-team-by-id.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MPtEF0CXQI68wkEif4w" %}
[GET Squad by Team and Season ID](/v2/cricket-api/our-api/teams-and-players/teams-and-squads.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/cricket-api/our-api/teams-and-players.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
